Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 30 Jul 2014, 21:54
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
WebServerPuppy upgrade or a new puplet??
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [8 Posts]  
Author Message
maans

Joined: 07 Jan 2010
Posts: 83
Location: Denmark

PostPosted: Sat 09 Oct 2010, 09:59    Post subject:  WebServerPuppy upgrade or a new puplet??
Subject description: I need updated browsers and a lot of devtools (python)
 

Hi PuppyWizards (PuppyMartin in particular)

I'm trying to setup TiddlySpace see my project: PuppySpace and it needs Python and Apache -
I also need the packages: build-essential, python-dev and libmysqlclient-dev to make everything work, however I can't find these things without Lucids packagemanager and the ability to fetch newest tools from the repositories...

I'd also like to use newest browsers: Google Chrome and/or Firefox.

I'd love to see a small and lean distro like BrowserLinux with the packagemanager from Lucid 5.11 + options to add either Hiawatha webserver or Apache and MySql and phpMyAdmin...

My project should end out as a small webserver with TiddlySpace already setup ...

Any advice is apreciated..

Cheers Måns Mårtensson
Back to top
View user's profile Send private message 
maans

Joined: 07 Jan 2010
Posts: 83
Location: Denmark

PostPosted: Sat 09 Oct 2010, 10:39    Post subject: Re: WebServerPuppy upgrade or a new puplet??
Subject description: I need updated browsers and a lot of devtools (python)
 

maans wrote:
Hi PuppyWizards (PuppyMartin in particular)

I'm trying to setup TiddlySpace see my project: PuppySpace and it needs Python and Apache -
I also need the packages: build-essential, python-dev and libmysqlclient-dev to make everything work, however I can't find these things without Lucids packagemanager and the ability to fetch newest tools from the repositories...

As you can read here I have already tried with Hiawatha and the lamp.pet however it seems that I *have* to use Apache as there are specialized python modules for Apache which are needed for a TiddlySpace installation. See here

Cheers Måns Mårtensson
Back to top
View user's profile Send private message 
puppymartin


Joined: 29 Mar 2009
Posts: 207
Location: The Netherlands

PostPosted: Mon 11 Oct 2010, 16:18    Post subject:  

No updates, sorry. I use Browserlinux and Xampp for testing websites.

Xampp:

EDIT
Download Xampp:
http://www.apachefriends.org/download.php?xampp-linux-1.7.3a.tar.gz
Extract en put the map "lampp" in map /opt

Maybe you like my Xampp-control-pet:
xampp_control.png
 Description   
 Filesize   42.87 KB
 Viewed   1901 Time(s)

xampp_control.png

Xampp_control-1.0.pet
Description 
pet

 Download 
Filename  Xampp_control-1.0.pet 
Filesize  45.8 KB 
Downloaded  404 Time(s) 
Back to top
View user's profile Send private message Visit poster's website 
scsijon

Joined: 23 May 2007
Posts: 1023
Location: the australian mallee

PostPosted: Tue 12 Oct 2010, 02:49    Post subject:  

Please, sorry but, you need to cleanup your puppyspace site, it looks horrible in firefox 3.6.10 at 1024x768.

however on topic, python is mentioned in barry's blog as well as one of the message topics (http://murga-linux.com/puppy/viewtopic.php?t=52163); libmysqlclient-dev is somewhere in the puppy4 tree (maybe 4.3.1 or was it 4.4 or one of the other puppy projects or derivative versions) not sure what version you want but you may be able to use that one.

regards
scsijon

update: one link added, one yet to find
Back to top
View user's profile Send private message Visit poster's website 
maans

Joined: 07 Jan 2010
Posts: 83
Location: Denmark

PostPosted: Tue 19 Oct 2010, 19:21    Post subject:  

puppymartin wrote:
No updates, sorry. I use Browserlinux and Xampp for testing websites.
Xampp:
EDIT
Download Xampp:
http://www.apachefriends.org/download.php?xampp-linux-1.7.3a.tar.gz
Extract en put the map "lampp" in map /opt

Maybe you like my Xampp-control-pet:

Thanks a lot PuppyMartin Very Happy I like your Xampp-control-pet very much Very Happy
I found a xamp-1.7.3_511.sfs somewhere - and I use that when booting Puppy.
My Puppy version is 5.10 so I renamed it to xamp-1.7.3_510.sfs..
It seems to have been incorporated, however I get this errormessage, when clicking Localhost:
Code:
"Forbidden
You don't have permission to access / on this server.
Additionally, a 403 Forbidden error was encountered while trying to use an ErrorDocument to handle the request.
Apache/2.2.14 (Unix) DAV/2 mod_ssl/2.2.14 OpenSSL/0.9.8l PHP/5.3.1 mod_apreq2-20090110/2.7.1 mod_perl/2.0.4 Perl/v5.10.1 Server at localhost Port 80"

Errorlog says:
Code:
"[Wed Oct 20 01:02:08 2010] [notice] suEXEC mechanism enabled (wrapper: /opt/lampp/bin/suexec)
[Wed Oct 20 01:02:08 2010] [warn] RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
[Wed Oct 20 01:02:08 2010] [warn] RSA server certificate CommonName (CN) `localhost' does NOT match server name!?
[Wed Oct 20 01:02:08 2010] [notice] Digest: generating secret for digest authentication ...
[Wed Oct 20 01:02:08 2010] [notice] Digest: done
[Wed Oct 20 01:02:09 2010] [warn] RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
[Wed Oct 20 01:02:09 2010] [warn] RSA server certificate CommonName (CN) `localhost' does NOT match server name!?
[Wed Oct 20 01:02:09 2010] [notice] Apache/2.2.14 (Unix) DAV/2 mod_ssl/2.2.14 OpenSSL/0.9.8l PHP/5.3.1 mod_apreq2-20090110/2.7.1 mod_perl/2.0.4 Perl/v5.10.1 configured -- resuming normal operations
[Wed Oct 20 01:02:28 2010] [error] [client 127.0.0.1] (13)Permission denied: access to / denied
[Wed Oct 20 01:02:28 2010] [error] [client 127.0.0.1] (13)Permission denied: access to /error/HTTP_FORBIDDEN.html.var denied
[Wed Oct 20 01:02:29 2010] [error] [client 127.0.0.1] (13)Permission denied: access to /favicon.ico denied
[Wed Oct 20 01:02:29 2010] [error] [client 127.0.0.1] (13)Permission denied: access to /error/HTTP_FORBIDDEN.html.var denied
[Wed Oct 20 01:18:50 2010] [error] [client 127.0.0.1] (13)Permission denied: access to / denied
[Wed Oct 20 01:18:50 2010] [error] [client 127.0.0.1] (13)Permission denied: access to /error/HTTP_FORBIDDEN.html.var denied
[Wed Oct 20 01:18:50 2010] [error] [client 127.0.0.1] (13)Permission denied: access to /favicon.ico denied
[Wed Oct 20 01:18:50 2010] [error] [client 127.0.0.1] (13)Permission denied: access to /error/HTTP_FORBIDDEN.html.var denied"


Do you know what is going on?

Cheers Måns Mårtensson
Back to top
View user's profile Send private message 
maans

Joined: 07 Jan 2010
Posts: 83
Location: Denmark

PostPosted: Tue 19 Oct 2010, 19:49    Post subject:  

scsijon wrote:
Please, sorry but, you need to cleanup your puppyspace site, it looks horrible in firefox 3.6.10 at 1024x768.
Sorry - I'm not sure I can make much better than it is just now - if it's the menu to the right which messes things up for you? ( I've noticed that its looking bad in some versions of Firefox (I'm using Chromium myself)...
It's a javascript wiki (can be run standalone locally, It's just 1 standalone htmlfile - and it saves back to itself - quite handy actually) - see more here: http://tiddlywiki.com.
You can download my puppystudioWiki and make your own version.
Because it is a special TiddlySpace brand - I would recommend downloading an empty TiddyWiki document from http://tiddlywiki.com - and import all "non-system tiddlers" from http://puppystudio.tiddlyspace.com. This way you'll get your own local copy.
I will create a new puppysstudio site here: http://puppystudio.tiddlyspot.com. Which can be downloaded directly without any modifications needed on your part.
You'll have to wait a little (a couple of days) untill I've finished the job.
I will try to create another theme (more browseragnostic - hopefully) and make it even easier to navigate...
scsijon wrote:

however on topic, python is mentioned in barry's blog as well as one of the message topics (http://murga-linux.com/puppy/viewtopic.php?t=52163); libmysqlclient-dev is somewhere in the puppy4 tree (maybe 4.3.1 or was it 4.4 or one of the other puppy projects or derivative versions) not sure what version you want but you may be able to use that one.

Ok - Thanks. I will investigate..

Cheers Måns Mårtensson
Back to top
View user's profile Send private message 
maans

Joined: 07 Jan 2010
Posts: 83
Location: Denmark

PostPosted: Wed 20 Oct 2010, 13:12    Post subject:  

scsijon wrote:
Please, sorry but, you need to cleanup your puppyspace site, it looks horrible in firefox 3.6.10 at 1024x768.

I've made another version (another theme) and put it on tiddyspot:
PuppyStudio in english.
You can downoad it - and make any changes to it - as you please.
With Firefox there's no problems when saving changes locally - (Chromium needs an extra file put in the same directory.. - ask if you need it - or check http://tiddlywiki.com)
Download PuppyStudioWiki
scsijon wrote:
however on topic, python is mentioned in barry's blog as well as one of the message topics (http://murga-linux.com/puppy/viewtopic.php?t=52163); libmysqlclient-dev is somewhere in the puppy4 tree (maybe 4.3.1 or was it 4.4 or one of the other puppy projects or derivative versions) not sure what version you want but you may be able to use that one.

Seems like the python.pet is hosted here: Ibiblio.org - python-2.4.3.pet
Cheers Måns Mårtensson
Back to top
View user's profile Send private message 
maans

Joined: 07 Jan 2010
Posts: 83
Location: Denmark

PostPosted: Wed 20 Oct 2010, 13:21    Post subject:  

maans wrote:

Seems like the python.pet is hosted here: Ibiblio.org - python-2.4.3.pet

I've got python-2.6.4-i386.pet installed (I don't remember wherefrom) and it works, however Barry's i486 doesn't work in my usecase...
Cheers Måns Mårtensson
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [8 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0818s ][ Queries: 12 (0.0055s) ][ GZIP on ]